users_badges_list
GET
/api/users/badges
const url = 'https://example.com/api/users/badges';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/users/badges \ --header 'Authorization: Bearer <token>'List every badge, obtained or not, for the authenticated user.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Media typeapplication/json
Array<object>
A badge of the journey, and whether the user obtained it.
object
id
required
Id of the badge.
string
family
required
Discovery badges introduce a madbot concept, practice badges a good data management practice.
discovery- discoverypractice- practice
string
obtained_time
required
When the user obtained the badge, null if not obtained yet.
string format: date-time
seen_time
required
When the user was told about the badge, null if not yet.
string format: date-time
Example
[ { "family": "discovery" }]
